#pragma once

#include <string>

class decoding_context {
  unsigned char _next_header;
  unsigned char _header_type;
  unsigned char _header_sub_type;
  unsigned char _traffic_class;
  unsigned int  _lifetime;
  unsigned int  _length;

public:
  explicit decoding_context() { reset(); };
  ~decoding_context(){};
  void reset();

public:
  unsigned char get_next_header();
  void          set_next_header(const unsigned char p_next_header);
  unsigned char get_header_type();
  void          set_header_type(const unsigned char p_header_type);
  unsigned char get_header_sub_type();
  void          set_header_sub_type(const unsigned char p_header_sub_type);
  unsigned char get_traffic_class();
  void          set_traffic_class(const unsigned char p_traffic_class);
  unsigned int  get_lifetime();
  void          set_lifetime(const unsigned int p_lifetime);
  unsigned int  get_length();
  void          set_length(const unsigned int p_length);
}; // End of class decoding_context
