#pragma once

#include "codec_gen.hh"
#include "params.hh"

#include "EtsiTs103759Core.hh"

class etsi_ts103759_data_codec : public codec_gen<EtsiTs103759Core::EtsiTs103759Data, EtsiTs103759Core::EtsiTs103759Data> {
public:
  explicit etsi_ts103759_data_codec() : codec_gen<EtsiTs103759Core::EtsiTs103759Data, EtsiTs103759Core::EtsiTs103759Data>(){};
  virtual ~etsi_ts103759_data_codec(){};

  virtual int encode(const EtsiTs103759Core::EtsiTs103759Data &p_etsi_ts_10291_data, OCTETSTRING &p_data);
  virtual int decode(const OCTETSTRING &p_data, EtsiTs103759Core::EtsiTs103759Data &p_etsi_ts_10291_data, params *p_params = NULL);
}; // End of class etsi_ts103759_data_codec
